.features {
    background: $white;
    padding-top: rem(40);
    padding-bottom: rem(20);

    &__group {
        display: grid;
        grid-row-gap: rem(20);
        grid-template-columns: 1fr;

        &--margin {
            margin-bottom: rem(40);
        }
    }

    &__item {
        min-height: rem(215);
        padding: rem(20);
        font-size: rem(12);
        line-height: rem(16);
        overflow: hidden;
        position: relative;
        border-radius: 8px;
        background: $gray;
        border: 1px solid #E0E0E0;
        box-shadow: 5px 15px 15px rgba(0, 0, 0, 0.05);

        &:nth-child(2) {

            .features {

                &__media {
                    bottom: rem(-20);
                }
            }
        }

        &--green {
            background: #EFFCEF;
        }

        &--rose {
            background: #FEF3F0;
        }

        &--blue {
            background: #EBFAFE;
        }

        &--yellow {
            background: #FEFEF0;
        }
    }

    &__title {
        z-index: 10;
        font-weight: 700;
        font-size: rem(16);
        line-height: rem(23);
        margin-bottom: rem(7);
        position: relative;

        &--green {
            color: $green;
        }
    }

    &__text {
        z-index: 10;
        max-width: rem(260);
        margin-right: rem(140);
        font-weight: 500;
        position: relative;
    }

    &__media {
        right: 0;
        bottom: 0;
        z-index: 1;
        width: rem(320);
        position: absolute;
    }

    @include media-breakpoint-up(md) {
        padding: rem(80) 0;

        &__group {
            grid-row-gap: rem(20);
            grid-column-gap: rem(20);
            grid-template-columns: 1fr 1fr;

            &--margin {
                margin-bottom: rem(80);
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__group {
            grid-row-gap: rem(30);
            grid-column-gap: rem(30);
        }

        &__title {
            font-size: rem(20);
            line-height: rem(26);
            margin-bottom: rem(8);
        }

        &__item {
            font-size: rem(14);
            line-height: rem(21);
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(120) 0;

        &__group {

            &--margin {
                margin-bottom: rem(120);
            }
        }

        &__item {
            min-height: rem(370);
            padding: rem(20) rem(30);
        }

        &__title {
            font-size: rem(30);
            line-height: rem(40);
            margin-bottom: rem(22);
        }

        &__item {
            font-size: rem(16);
            line-height: rem(24);
        }

        &__media {
            width: rem(555);
        }
    }
}
